### Method

# EDataCal CalBackend set_data_cal

since: 3.10

#### Declaration [src]

    void
    e_cal_backend_set_data_cal (
      ECalBackend* backend,
      EDataCal* data_cal
    )

#### Description [src]

Sets the `EDataCal` for `backend`. The `EDataCal` is essentially the glue between incoming D-Bus requests and `backend`‘s native API.

An `EDataCal` should be set only once after `backend` is first created.

The `backend` adds its own reference on the `data_cal`.

Available since: 3.10

#### Parameters

`data_cal`

  Type: `EDataCal`

  An `EDataCal`.

  The data is owned by the caller of the method.